org.apache.cassandra.db.compaction

## Class Scrubber

- java.lang.Object
- - org.apache.cassandra.db.compaction.Scrubber

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class Scrubber
    extends java.lang.Object
    implements java.io.Closeable

### Nested Class Summary

Nested Classes
`class` `Scrubber.NegativeLocalDeletionInfoMetrics`
`static class` `Scrubber.ScrubResult`

### Constructor Summary

Constructors
Constructor and Description
`Scrubber(ColumnFamilyStore cfs, LifecycleTransaction transaction, boolean skipCorrupted, boolean checkData)`
`Scrubber(ColumnFamilyStore cfs, LifecycleTransaction transaction, boolean skipCorrupted, boolean checkData, boolean reinsertOverflowedTTLRows)`
`Scrubber(ColumnFamilyStore cfs, LifecycleTransaction transaction, boolean skipCorrupted, OutputHandler outputHandler, boolean checkData, boolean reinsertOverflowedTTLRows)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`CompactionInfo.Holder` `getScrubInfo()`
`void` `scrub()`
`Scrubber.ScrubResult` `scrubWithResult()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Scrubber

    public Scrubber(ColumnFamilyStore cfs,
                    LifecycleTransaction transaction,
                    boolean skipCorrupted,
                    boolean checkData)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### Scrubber

    public Scrubber(ColumnFamilyStore cfs,
                    LifecycleTransaction transaction,
                    boolean skipCorrupted,
                    boolean checkData,
                    boolean reinsertOverflowedTTLRows)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### Scrubber

    public Scrubber(ColumnFamilyStore cfs,
                    LifecycleTransaction transaction,
                    boolean skipCorrupted,
                    OutputHandler outputHandler,
                    boolean checkData,
                    boolean reinsertOverflowedTTLRows)
             throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### scrub

    public void scrub()

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`

#### getScrubInfo

    public CompactionInfo.Holder getScrubInfo()

#### scrubWithResult

    public Scrubber.ScrubResult scrubWithResult()